Results 1 to 2 of 2

Thread: "AngleToReal" in ActiveX method

  1. #1
    Member
    Join Date
    2003-12
    Posts
    7
    Login to Give a bone
    0

    Default "AngleToReal" in ActiveX method

    Hi,
    How do I convert "AngleToReal" by using ActiveX method ?

    -Rajat

  2. #2
    100 Club
    Join Date
    2000-12
    Posts
    126
    Login to Give a bone
    0

    Default Re: "AngleToReal" in ActiveX method

    Quote Originally Posted by rajat126
    Hi,
    How do I convert "AngleToReal" by using ActiveX method ?

    -Rajat
    The AngleToReal method is part of the Document's Utility object:

    (vl-load-com)
    (setq doc (vla-get-activeDocument (vlax-get-acad-object)))
    (setq utils (vla-get-utility doc))

    (vla-angleToReal utils "180.0" acDegrees)
    will then return 3.14159 as a real
    Last edited by stig.madsen; 2004-06-15 at 10:14 PM.

Similar Threads

  1. Replies: 13
    Last Post: 2015-01-26, 01:35 PM
  2. Replies: 0
    Last Post: 2012-06-06, 11:54 AM
  3. AXDBLib AcSaveAsType "object or method error"
    By bob.stains in forum VBA/COM Interop
    Replies: 2
    Last Post: 2009-04-14, 06:18 PM
  4. Replies: 7
    Last Post: 2007-09-26, 08:53 PM
  5. selecting objects by "cp" method
    By csgohjmj in forum AutoLISP
    Replies: 3
    Last Post: 2006-01-19, 11:54 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •